import 'reflect-metadata';
import { Installation, InstallationQuery, InstallationStore, Logger } from '@slack/oauth';
import InstallationEntity from './InstallationEntity';
import TypeORMInstallationStoreArgs from './TypeORMInstallationStoreArgs';
export default class TypeORMInstallationStore<E extends InstallationEntity> implements InstallationStore {
    private connectionProvider?;
    private connectionCacheEnabled;
    private connection?;
    private logger;
    private clientId?;
    private historicalDataEnabled;
    private entityFactory;
    private onStoreInstallation;
    private onFetchInstallation;
    private onDeleteInstallation;
    private entityTarget;
    private sortPropertyName;
    constructor(options: TypeORMInstallationStoreArgs<E>);
    storeInstallation<AuthVersion extends 'v1' | 'v2'>(i: Installation<AuthVersion, boolean>, logger?: Logger): Promise<void>;
    fetchInstallation(query: InstallationQuery<boolean>, logger?: Logger): Promise<Installation<'v1' | 'v2', boolean>>;
    deleteInstallation(query: InstallationQuery<boolean>, logger?: Logger): Promise<void>;
    close(): Promise<void>;
    private getConnection;
    private setupRow;
    private findRow;
}
//# sourceMappingURL=TypeORMInstallationStore.d.ts.map